//! Server for datse
use super::*;

use web::ban::BanKind;

/// Configuration for the server.
#[derive(Debug, Clone, PartialEq, Eq, Hash, Serialize, Deserialize)]
pub struct Config
{
    pub trust_x_forwarded_for: bool,
    pub static_bans: Vec<BanKind>,
}

impl Config
{
    /// The default configuration
    pub const DEFAULT: Self = Self::_default();
    
    #[inline(always)] const fn _default() -> Self
    {
	Self {
	    trust_x_forwarded_for: false,
	    static_bans: Vec::new(),
	}
    }
}

impl Default for Config
{
    #[inline]
    fn default() -> Self
    {
	Self::_default()
    }
}

pub mod web;
